body
{
    overflow-x: hidden;
}
body nav
{
    z-index: 9999;

    width: 100vw;
    height: auto;
    min-height: 75px;
    padding: 0 !important;

    transition: .3s;

    background: transparent;
}
body nav.drop_active
{
    background: #fff;
}
body nav.hide
{
    top: -75px;
}
body nav.hide.to_hide
{
    position: fixed !important;

    opacity: 0;
}
body nav.hide.show
{
    position: fixed !important;
    top: 0;

    background: #fff;
    box-shadow: 0 3px 6px 0 #d8d6d6;
}
body nav .navbar-brand img
{
    width: 121px;
}
body nav .container
{
    max-height: 75px;
}
body nav .container,
body nav ul,
body nav li
{
    height: 100%;
}
body nav #navbarDropdown
{
    height: 75px;

    justify-content: flex-end;
}
body nav #navbarDropdown > ul
{
    gap: 0;
}
@media screen and (max-width: 1440px) and (min-width: 320px)
{
    body nav #navbarDropdown > ul
    {
        gap: calc(.03125 * 100vw);
    }
}
@media screen and (min-width: 1440px)
{
    body nav #navbarDropdown > ul
    {
        gap: 45px;
    }
}
body nav #navbarDropdown ul
{
    position: relative;
}
body nav #navbarDropdown ul li
{
    position: static;

    display: flex;

    padding-left: 0;

    align-items: center;
}
body nav #navbarDropdown ul li.called_out a
{
    font-weight: 500;

    color: #ff7117 !important;
}
body nav #navbarDropdown ul li a
{
    font-size: 1rem;

    position: relative;

    padding: 0;

    cursor: pointer;
    text-decoration: none;

    color: #565656;
}
body nav #navbarDropdown ul li a:after
{
    position: absolute;
    top: 9px;
    right: -15px;

    color: #ff7117;
    border-top: 5px solid;
    border-right: 5px solid transparent;
    border-bottom: 0;
    border-left: 5px solid transparent;
}
@media screen and (min-width: 992px)
{
    body nav #navbarDropdown ul li a .nav-link
    {
        display: flex;

        height: 100%;

        align-items: center;
    }
    body nav #navbarDropdown ul li a .nav-link:after
    {
        top: auto;
    }
    body nav #navbarDropdown ul li a .nav-link:before
    {
        bottom: 20px;
    }
}
body nav #navbarDropdown ul.depth_1 li a
{
    font-size: 13px;

    margin-left: 10px;
}
body nav #navbarDropdown.collapse
{
    display: none;
}
body nav #navbarDropdown.collapse.show
{
    display: block;
}
body nav #navbarDropdown li a:before,
body nav #navbarDropdown li .current_page_item a:before,
body nav #navbarDropdown .current-menu-ancestor .nav-link:before
{
    position: absolute;
    bottom: -8px;
    left: 0;

    width: 0;
    height: 4px;

    content: '';
    transition: all .3s cubic-bezier(.165, .84, .44, 1);

    background: #f7941d;
}
body nav .dropdown-menu.depth_0.show:after
{
    position: absolute;
    z-index: -1;
    top: 0;
    left: -100%;

    width: 200vw;
    height: calc(100% + 60px);

    content: '';

    background: transparent;
}
body nav #navbarDropdown li.active > a:before,
body nav #navbarDropdown li a:hover:before
{
    width: 100%;
}
body nav #navbarDropdown li .not_a_link
{
    cursor: default;
}
body nav #navbarDropdown li .not_a_link:before,
body nav #navbarDropdown li .not_a_link:after
{
    display: none;
}
body nav #navbarDropdown .dropdown-item.active,
body nav #navbarDropdown .dropdown-item:active,
body nav #navbarDropdown .dropdown-item:hover,
body nav #navbarDropdown .dropdown-item:focus
{
    background: transparent;
}
body nav .dropdown-menu
{
    position: absolute !important;
    top: 73px;
    left: 15px;

    width: 100%;
    height: auto;
    padding-top: 20px;

    border: none;
    border-radius: 0;
    background: transparent;

    align-items: flex-start;
    justify-content: flex-start;
}
@media only screen and (min-width: 768px)
{
    body nav .dropdown-menu.show
    {
        display: grid;

        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
        grid-auto-rows: 10px;
    }
}
body nav .dropdown-menu.show > ul
{
    display: block;
}
body nav .dropdown-menu.sub-menu
{
    margin-top: 10px;
}
body nav .dropdown-menu.sub-menu li
{
    padding-top: 0;
}
body nav .dropdown-menu.sub-menu li a
{
    font-size: 14px;

    margin-bottom: 10px;
}
body nav .dropdown-menu:not(sub-menu) li a
{
    font-weight: 600;
}
body nav .dropdown-menu:not(sub-menu) li a::after
{
    display: none;
}
body nav .dropdown-menu li
{
    display: flex;

    height: auto;
    padding-top: 20px;

    flex-wrap: wrap;
}
body nav .dropdown-menu li a
{
    display: inline-block;

    width: auto;
}
body nav .dropdown-menu li a:hover,
body nav .dropdown-menu li a:active
{
    background: transparent;
}
body nav .dropdown-menu li ul
{
    position: relative !important;
    top: 0;

    display: block;

    padding: 0;
}
body nav .dropdown-menu li ul li
{
    align-items: flex-start !important;
}
body nav .dropdown-menu li ul li a
{
    font-weight: 400;

    width: auto;
}
body nav .dropdown-menu li.empty-column
{
    min-width: 200px;

    pointer-events: none;
}
body nav.drop_active .dropdown_cover
{
    position: absolute;
    top: 75px;
    left: 0;

    width: 100%;
    height: 150px;

    background: #fff;
    box-shadow: 0 3px 6px 0 #d8d6d6;
}
body nav .addon
{
    position: absolute;
    z-index: 9999;
    top: 115px;

    display: none;
    flex-direction: column;

    width: 100%;
    max-width: 150px;

    flex-wrap: wrap;
}
body nav .addon.show
{
    display: flex;
}
body nav .addon_img
{
    margin-bottom: 30px;

    text-align: center;
}
@media only screen and (min-width: 992px) and (max-width: 1200px)
{
    body nav .addon_img
    {
        margin-right: 30px;
    }
}
body nav .addon_img img
{
    max-width: 100%;
}
body nav .addon_text
{
    font-size: 14px;

    margin-top: 10px;
}
@media screen and (max-width: 991px)
{
    body nav
    {
        justify-content: center !important;
    }
    body nav .container
    {
        position: absolute;
        top: 0;
    }
    body nav .navbar-toggler .icon-bar
    {
        position: relative;

        transition: all 500ms ease-in-out;
        pointer-events: none;
    }
    body nav .navbar-toggler .icon-bar:nth-of-type(2)
    {
        top: 1px;
    }
    body nav .navbar-toggler .icon-bar:nth-of-type(3)
    {
        top: 2px;
    }
    body nav .navbar-toggler span
    {
        position: relative;

        display: block;

        width: 30px;
        height: 4px;
        margin: 5px 0;

        border-radius: 50px !important;
        background: #ff7117 !important;
    }
    body nav .navbar-toggler.active span
    {
        margin: 3px 0;
    }
    body nav .navbar-toggler,
    body nav .navbar-toggler:focus,
    body nav .navbar-toggler:hover
    {
        border-color: transparent !important;
        background-color: transparent;
        box-shadow: none;
    }
    body nav .navbar-toggler.active .icon-bar:nth-of-type(1)
    {
        top: 8px;

        transform: rotate(45deg);
    }
    body nav .navbar-toggler.active .icon-bar:nth-of-type(2)
    {
        background-color: transparent !important;
        box-shadow: none !important;
    }
    body nav .navbar-toggler.active .icon-bar:nth-of-type(3)
    {
        top: -6px;

        transform: rotate(-45deg);
    }
    body nav.opened
    {
        background: white;
    }
    body nav #navbarDropdown
    {
        position: fixed;
        top: 75px;
        right: -100%;

        max-width: 100vw;
        height: 100vh;

        transition: .2s;

        background: #fff;
    }
    body nav #navbarDropdown .dropdown-menu.show
    {
        height: calc(100% - 75px);
    }
    body nav #navbarDropdown.visible
    {
        right: 0;
    }
    body nav #navbarDropdown ul
    {
        top: -2px;

        overflow: auto;

        padding: 40px 0;
    }
    body nav #navbarDropdown ul li
    {
        height: auto;
        margin-bottom: 40px;
        padding-top: 0;
        padding-left: 15px;

        align-items: flex-start;
    }
    body nav #navbarDropdown ul li a
    {
        width: auto;
        margin-bottom: 0;
    }
    body nav #navbarDropdown ul li a:after
    {
        transform: rotate(-90deg);
    }
    body nav #navbarDropdown ul li .dropdown-menu
    {
        top: 0;
        right: -100%;
        left: auto;

        overflow-x: hidden;
        flex-direction: column;

        min-height: calc(100% - 75px);
        padding-top: 75px;
        padding-bottom: 0;

        transition: .2s;

        background: white;

        justify-content: flex-start;
        align-items: flex-start;
    }
    body nav #navbarDropdown ul li .dropdown-menu .close
    {
        line-height: 30px;

        position: absolute;
        top: 25px;

        color: #ff7117;
    }
    body nav #navbarDropdown ul li .dropdown-menu.visible
    {
        right: 15px;
    }
    body nav #navbarDropdown ul li .dropdown-menu.depth_0.show
    {
        display: block;
    }
    body nav #navbarDropdown ul li .dropdown-menu.depth_1
    {
        left: 0;

        overflow: hidden;

        margin-top: 20px;
        padding: 0;
    }
    body nav #navbarDropdown ul li .dropdown-menu.depth_1 li
    {
        margin-bottom: 10px;
    }
}
@media (min-width: 576px) and (max-width: 767px)
{
    body nav #navbarDropdown ul
    {
        max-width: 540px;
        margin: 0 auto;
    }
}
@media (min-width: 768px) and (max-width: 991px)
{
    body nav #navbarDropdown ul
    {
        max-width: 720px;
        margin: 0 auto;
    }
}
